

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Extent</title>
<link rel="apple-touch-icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link rel="shortcut icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/css/spark-style.css" rel="stylesheet" />
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@7cc78ce/spark/js/jsontree.js"></script>
<style type="text/css"></style></head><body class="spa bdd-report dark">
  <div class="app">
    <div class="layout">
<div class="header navbar">
<div class="vheader">
<div class="nav-logo">
<a href="#">
<div class="logo" style="background-image: url('https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png')"></div>
</a>
</div>
<ul class="nav-left">
<li class="search-box">
<a class="search-toggle" href="#">
<i class="search-icon fa fa-search"></i>
<i class="search-icon-close fa fa-close"></i>
</a>
</li>
<li class="search-input"><input id="search-tests" class="form-control" type="text" placeholder="Search..."></li>
</ul>
<ul class="nav-right">
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">Cucumber TestNG Report</span></a>
</li>
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">Apr 1, 2024 11:09:12 am</span></a>
</li>
</ul>
</div>
</div><div class="side-nav">
<div class="side-nav-inner">
<ul class="side-nav-menu">
<li class="nav-item dropdown" onclick="toggleView('test-view')">
<a id="nav-test" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-list"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('exception-view')">
<a id="nav-exception" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bug"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('category-view')">
<a id="nav-category" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-tag"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('dashboard-view')">
<a id="nav-dashboard" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bar-chart"></i></span>
</a>
</li>
</ul>
</div>
</div>      <div class="vcontainer">
        <div class="main-content">
<div class="test-wrapper row view test-view">
  <div class="test-list">
    <div class="test-list-tools">
<ul class="tools pull-left">
<li><a href="#"><span class="font-size-14">Tests</span></a></li>
</ul>
<ul class="tools text-right">
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-exclamation-circle"></i></a>
<ul id="status-toggle" class="dropdown-menu dropdown-md p-v-0">
<a class="dropdown-item" status="fail" href="#"><span>Fail</span><span class="status danger"></span></a>
<div class="dropdown-divider"></div>
<a status="clear" class="dropdown-item" href="#"><span>Clear</span><span class="pull-right"><i class="fa fa-close"></i></span></a>
</ul>
</li>
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-tag"></i></a>
<ul id="tag-toggle" class="dropdown-menu dropdown-md p-v-0">
<a class="dropdown-item" href="#">@smoke</a>
</ul>
</li>
</ul>
</div>    <div class="test-list-wrapper scrollable">
      <ul class="test-list-item">
        <li class="test-item"  status="fail" test-id="1"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">ProductFeature</p>
            <p class="text-sm">
              <span>11:09:14</span> / <span>00:00:03:340</span>
              <span class="badge fail-bg log float-right">Fail</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-fail">ProductFeature</h5>
<span class='badge badge-success'>04.01.2024 11:09:14</span>
<span class='badge badge-danger'>04.01.2024 11:09:18</span>
<span class='badge badge-default'>00:00:03:340</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=1</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
<div class="m-t-10 m-l-5"> This feature deals with Searching the Products</div>
</div>
</div>
<div class="accordion mt-4">
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="2"><span class="badge log fail-bg mr-2">Fail</span>Apply the filters</div>
      </div>
    </div>
        <div class="scenario_outline ">
            <div class="card-body l1">
              <div class="card-header">
                <div class="card-title outline-child">
                  <div class="node" id="3"><span class="badge log fail-bg mr-2">Fail</span>Apply the filters</div>
                </div>
              </div>
              <div class="card-body mt-3 ">
                  <div class="step fail-bg">
                    <span>com.auto.stepdefs.Hook.InitializeTest()</span>
      <div>
        <textarea disabled class="code-block">org.openqa.selenium.SessionNotCreatedException: Could not start a new session. Response code 500. Message: session not created: This version of ChromeDriver only supports Chrome version 105
Current browser version is 123.0.6312.86 with binary path C:\Program Files\Google\Chrome\Application\chrome.exe 
Host info: host: 'LAPTOP-ELNG0U7M', ip: '192.168.0.100'
Build info: version: '4.19.1', revision: 'abe0ee07dc'
System info: os.name: 'Windows 11', os.arch: 'amd64', os.version: '10.0', java.version: '11.0.15.1'
Driver info: org.openqa.selenium.chrome.ChromeDriver
Command: [null, newSession {capabilities=[Capabilities {browserName: chrome, goog:chromeOptions: {args: [--headless, --no-sandbox, --window-size=1920,1080], extensions: []}}]}]
	at org.openqa.selenium.remote.ProtocolHandshake.createSession(ProtocolHandshake.java:114)
	at org.openqa.selenium.remote.ProtocolHandshake.createSession(ProtocolHandshake.java:75)
	at org.openqa.selenium.remote.ProtocolHandshake.createSession(ProtocolHandshake.java:61)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:162)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.invokeExecute(DriverCommandExecutor.java:216)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.execute(DriverCommandExecutor.java:174)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:518)
	at org.openqa.selenium.remote.RemoteWebDriver.startSession(RemoteWebDriver.java:232)
	at org.openqa.selenium.remote.RemoteWebDriver.<init>(RemoteWebDriver.java:161)
	at org.openqa.selenium.chromium.ChromiumDriver.<init>(ChromiumDriver.java:114)
	at org.openqa.selenium.chrome.ChromeDriver.<init>(ChromeDriver.java:89)
	at org.openqa.selenium.chrome.ChromeDriver.<init>(ChromeDriver.java:84)
	at org.openqa.selenium.chrome.ChromeDriver.<init>(ChromeDriver.java:73)
	at com.auto.utility.Base.setBrowserDriver(Base.java:82)
	at com.auto.utility.Base.setDriver(Base.java:57)
	at com.auto.stepdefs.Hook.InitializeTest(Hook.java:30)
</textarea>
      
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>Given I navigate to the flipkart home page</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>Then I should see the homepage</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>Given I am on the homepage of Flipkart</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>When I search for the product "Samsung Galaxy S24"</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>Then I should see the product page with the searched product "Samsung Galaxy S24"</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>Given I see the Product list</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>When I select the "true" and "256 GB & Above" filter</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>Then I can verify that both the filters are selected</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>When I sort by High To low</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>Then I can see the product details sorted</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step skip-bg">
                    <span>And I can find the second Highest Price of the product</span>
      <div>Step skipped
      </div>
                  </div>
                  <div class="step fail-bg">
                    <span>com.auto.stepdefs.Hook.TearDownTest(io.cucumber.java.Scenario)</span>
      <div>
        <textarea disabled class="code-block">java.lang.NullPointerException
	at com.auto.utility.ReportingUtil.takeScreenShot(ReportingUtil.java:16)
	at com.auto.stepdefs.Hook.TearDownTest(Hook.java:49)
</textarea>
      
      </div>
                  </div>
              </div>
            </div>
        </div>
  </div>
</div>
          </div>
        </li>
      </ul>
    </div>
  </div>
<div class="test-content scrollable">
<div class="test-content-tools">
<ul><li><a class="back-to-test" href="#"><i class="fa fa-arrow-left"></i></a></li></ul>
</div>
<div class="test-content-detail"><div class="detail-body"></div></div>
</div></div>
<div class="test-wrapper row view exception-view attributes-view">
<div class="test-list">
<div class="test-list-tools">
<ul class="tools pull-left"><li><a href=""><span class="font-size-14">Exception</span></a></li></ul>
<ul class="tools text-right"><li><a href="#"><span class="badge badge-primary">2</span></a></li></ul>
</div>
<div class="test-list-wrapper scrollable">
<ul class="test-list-item">
<li class="test-item">
<div class="test-detail">
<span class="meta">
<span class='badge log badge-danger'>1</span>
</span>
<p class="name">org.openqa.selenium.SessionNotCreatedException</p>
<p class="duration text-sm">1 tests</p>
</div>
<div class="test-contents d-none">
<div class="info">
<h4>org.openqa.selenium.SessionNotCreatedException</h4>
<span status="fail" class='badge log badge-danger'>1 failed</span>
</div>
<table class='table table-sm mt-4'>
<thead>
<tr>
<th class="status-col">Status</th>
<th class="timestamp-col">Timestamp</th>
<th>TestName</th>
</tr>
</thead>
<tbody>
<tr class="tag-test-status" status="fail">
<td><span class="badge log fail-bg">Fail</span></td>
<td>11:09:14 am</td>
<td>
<a href="#" class="linked" test-id='1' id='4'>com.auto.stepdefs.Hook.InitializeTest()</a>
<div class="">
<span class="badge badge-default">ProductFeature.Apply the filters.com.auto.stepdefs.Hook.InitializeTest()</span>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="test-item">
<div class="test-detail">
<span class="meta">
<span class='badge log badge-danger'>1</span>
</span>
<p class="name">java.lang.NullPointerException</p>
<p class="duration text-sm">1 tests</p>
</div>
<div class="test-contents d-none">
<div class="info">
<h4>java.lang.NullPointerException</h4>
<span status="fail" class='badge log badge-danger'>1 failed</span>
</div>
<table class='table table-sm mt-4'>
<thead>
<tr>
<th class="status-col">Status</th>
<th class="timestamp-col">Timestamp</th>
<th>TestName</th>
</tr>
</thead>
<tbody>
<tr class="tag-test-status" status="fail">
<td><span class="badge log fail-bg">Fail</span></td>
<td>11:09:18 am</td>
<td>
<a href="#" class="linked" test-id='1' id='16'>com.auto.stepdefs.Hook.TearDownTest(io.cucumber.java.Scenario)</a>
<div class="">
<span class="badge badge-default">ProductFeature.Apply the filters.com.auto.stepdefs.Hook.TearDownTest(io.cucumber.java.Scenario)</span>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</div>
<div class="test-content scrollable">
<div class="test-content-detail">
<div class="detail-body"></div>
</div>
</div>
</div><div class="test-wrapper row view category-view attributes-view">
<div class="test-list">
<div class="test-list-tools">
<ul class="tools pull-left"><li><a href=""><span class="font-size-14">Category</span></a></li></ul>
<ul class="tools text-right"><li><a href="#"><span class="badge badge-primary">1</span></a></li></ul>
</div>
<div class="test-list-wrapper scrollable">
<ul class="test-list-item">
<li class="test-item">
<div class="test-detail">
<span class="meta">
<span class='badge log badge-danger'>2</span>
</span>
<p class="name">@smoke</p>
<p class="duration text-sm">2 tests</p>
</div>
<div class="test-contents d-none">
<div class="info">
<h4>@smoke</h4>
<span status="fail" class='badge log badge-danger'>2 failed</span>
</div>
<table class='table table-sm mt-4'>
<thead>
<tr>
<th class="status-col">Status</th>
<th class="timestamp-col">Timestamp</th>
<th>TestName</th>
</tr>
</thead>
<tbody>
<tr class="tag-test-status" status="fail">
<td><span class="badge log fail-bg">Fail</span></td>
<td>11:09:14 am</td>
<td>
<a href="#" class="linked" test-id='1' id='2'>Apply the filters</a>
<div class="">
<span class="badge badge-default">ProductFeature.Apply the filters</span>
</div>
</td>
</tr>
<tr class="tag-test-status" status="fail">
<td><span class="badge log fail-bg">Fail</span></td>
<td>11:09:14 am</td>
<td>
<a href="#" class="linked" test-id='1' id='3'>Apply the filters</a>
<div class="">
<span class="badge badge-default">ProductFeature.Apply the filters</span>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</div>
<div class="test-content scrollable">
<div class="test-content-detail">
<div class="detail-body"></div>
</div>
</div>
</div><div class="container-fluid p-4 view dashboard-view">
<div class="row">
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Started</p>
<h3>Apr 1, 2024 11:09:12 am</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Ended</p>
<h3>Apr 1, 2024 11:09:18 am</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-pass">Features Passed</p>
<h3>0</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-fail">Features Failed</p>
<h3>1</h3>
</div></div>
</div>
</div>
<div class="row">
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Features</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='parent-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='0%'>
<b>0</b> features passed
</small>
</div>
<div>
<small data-tooltip='100%'><b>1</b> features failed,
<b>0</b> skipped, <b data-tooltip='0%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Scenarios</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='child-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='0%'><b>0</b> scenarios passed</small></div>
<div>
<small data-tooltip='100%'><b>1</b> scenarios failed,
<b>0</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Steps</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='grandchild-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='0%'><b>0</b> steps passed</small></div>
<div>
<small data-tooltip='15%'><b>2</b> steps failed,
<b>11</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
</div>
<div class="row"><div class="col-md-12">
<div class="card"><div class="card-header"><p>Timeline</p></div>
<div class="card-body pt-0"><div>
<canvas id="timeline" height="120"></canvas>
</div></div>
</div>
</div></div>
<script>
var timeline = {
"ProductFeature":3.34
};
</script>
<div class="row">
<div class="col-lg-6 col-md-12 category-container">
<div class="card">
<div class="card-header"><p>Tags</p></div>
<div class="card-body pb-0 pt-0"><table class="table table-sm table-bordered">
<thead><tr class="bg-gray"><th>Name</th><th>Passed</th><th>Failed</th><th>Skipped</th><th>Others</th><th>Passed %</th></tr></thead><tbody>
<tr>
<td>@smoke</td>
<td>0</td>
<td>2</td>
<td>0</td>
<td>0</td>
<td>0%</td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
</div>
<script>
var statusGroup = {
parentCount: 5,
passParent: 0,
failParent: 1,
warningParent: 0,
skipParent: 0,
childCount: 5,
passChild: 0,
failChild: 1,
warningChild: 0,
skipChild: 0,
infoChild: 0,
grandChildCount: 5,
passGrandChild: 0,
failGrandChild: 2,
warningGrandChild: 0,
skipGrandChild: 11,
infoGrandChild: 0,
eventsCount: 5,
};
</script>        </div>
      </div>
    </div>
  </div>
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/js/spark-script.js"></script>
<script type="text/javascript"></script></body>
</html>